# Recycler-extension Release Notes

- [0.5.0-alpha](#050-alpha)
- [0.4.0](#040)
- [0.3.0](#030)
- [0.2.0](#020)

## 0.5.0-alpha
##### Recycler-extension
* ANDDEP-687 Changed "com.google.android.material:material" dependency
  from "api" to "implementation" type
* ANDDEP-1038 Add `AnimatableViewHolder` and `ViewHolderItemAnimator`
* ANDDEP-1048 Fixing wrong docs links and docs structure
* ANDEEP-1062 added extension methods to convert sp to px and vice versa
* **NO BACKWARD COMPATIBILITY** ANDDEP-1010 PagerSnapHelper deleted
## 0.4.0
##### Recycler-extension
* ANDDEP-266 DividerItemDecorator Update
* Added ability to set padding for delimiters
* FooterCount parameter renamed lastItemsCountWithoutDividers
* Added the ability to set firstItemsCountWithoutDividers
## 0.3.0
##### Recycler-extension
* Changed the constructor of `StickyLayoutManager`
* Removed `StickyBindableItemController`
* Added `StickyFooter` and corresponding controller
* Added `StickyHeader` and corresponding controller
## 0.2.0
##### Recycler-extension
* ANDDEP-125 sticky header fix